<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.StudentRegistrationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.StudentRegistration">
        <id column="id_" property="id" />
        <result column="user_id_" property="userId" />
        <result column="name_" property="name" />
        <result column="music_group_id_" property="musicGroupId" />
        <result column="current_grade_" property="currentGrade" />
        <result column="current_class_" property="currentClass" />
        <result column="subject_id_" property="subjectId" />
        <result column="is_allow_adjust_" property="isAllowAdjust" />
        <result column="kit_purchase_method_" property="kitPurchaseMethod" />
        <result column="remark_" property="remark" />
        <result column="create_time_" property="createTime" />
        <result column="update_time_" property="updateTime" />
        <result column="parents_name_" property="parentsName" />
        <result column="parents_phone_" property="parentsPhone" />
        <result column="parents_company_" property="parentsCompany" />
        <result column="payment_status_" property="paymentStatus" />
        <result column="actual_subject_id_" property="actualSubjectId" />
        <result column="class_group_id_" property="classGroupId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, user_id_, name_, music_group_id_, current_grade_, current_class_, subject_id_, is_allow_adjust_, kit_purchase_method_, remark_, create_time_, update_time_, parents_name_, parents_phone_, parents_company_, payment_status_, actual_subject_id_, class_group_id_
    </sql>

</mapper>
